(define-module (glicid packages openldap)
 #:use-module (guix build-system gnu)
 #:use-module (guix download)
 #:use-module (guix packages)
 #:use-module (guix utils)
 #:use-module ((gnu packages openldap) #:prefix gnu:)
 #:use-module (gnu packages autotools)
 #:use-module (gnu packages compression)
 #:use-module (gnu packages databases)
 #:use-module (gnu packages libevent)
 #:use-module (gnu packages password-utils)
 #:use-module (gnu packages pkg-config)
 #:use-module (gnu packages tls)
)

(define-public openldap
    (package
        (inherit gnu:openldap)
        (name "openldap")
        (version "2.5.7")
        (build-system gnu-build-system)
        (inputs `(
                ("libltdl", libltdl)
                ("pkg-config", pkg-config)
                ("libevent", libevent)
                ("openssl", openssl)
                ("argon2", argon2)
                ("wiredtiger", wiredtiger)
                ("snappy", snappy)
                ("lz4", lz4)
                ,@(package-inputs gnu:openldap)
        ))
        (arguments '(
            ; this is needed because the make check does not work inside guix
            #:configure-flags '(
                        "--enable-debug" "--enable-dynamic" "--enable-syslog" "--enable-ipv6" "--enable-local" "--enable-slapd" "--enable-dynacl"
                        "--enable-aci" "--enable-cleartext" "--enable-crypt" "--enable-spasswd" "--enable-modules" "--enable-rlookups" "--enable-slapi"
                        "--enable-backends=mod" "--enable-overlays=mod" "--enable-argon2" "--enable-balancer" "--disable-static"
                        "--enable-shared" "--with-tls=openssl"
            )
            #:phases (modify-phases %standard-phases
                (add-before 'build 'make-depend
                    (lambda* (#:key input #:allow-other-keys)
                        (invoke "make" "depend")
                    )
                )
            )
        ))
    )
)
